Skip to content
GBG Documents & Biometrics Documentation

/ExtractImage/id

POST
/ExtractImage/id
curl --request POST \
--url https://liveness-v2-eu.core.idscan.cloud/ExtractImage/id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form EncryptedPacketId=example \
--form 'Configurations={ "additionalProperty": "example" }'

Extracts the JPG portrait captured inside a previously cached encrypted enhanced liveness packet.

Documents and Biometrics Core Extract Image by Id endpoint provides the id of the JPG portrait captured inside a previously cached encrypted enhanced liveness packet, stored in the image cache for later use (e.g. as an anchor for a subsequent Facematch by Id call) without waiting on a combined Biometrics check.

x-correlation-id
string

Correlation Id for the request

Media typemultipart/form-data
object
EncryptedPacketId
string
Configurations
object
key
additional properties
string
nullable
RequestId
string
CorrelationId
string

Returns a success on the Endpoint after processing the submitted encrypted packet id. This code does not indicate a success on the extraction of a face from the packet itself but rather a success on the call to the endpoint. The id of the extracted image, stored in the image cache, is in the response body (See Response Body section below).

object
correlationId
string
nullable
imageDataId
string
nullable
error
object
error
string
nullable
errorCode
string
nullable
message
string
nullable
statusCode
string
nullable

No Content

Error with the provided parameters, please, check the response provided to get more insights on the problem.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

The provided packet id was not found in the cache.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable

Internal error during our processing, please, get in touch with support so we can help you.

object
correlationId
string
nullable
errorMessage
string
nullable
errors
Array<string>
nullable